% Exemplo Takagi-Sugeno

x=linspace(-10,10);
w(1,:)=TRAP(x,[-20,-10,-6,-2]);
w(2,:)=TRAP(x,[-6,-2,2,6]);
w(3,:)=TRAP(x,[2,6,10,20]);

f(1,:)=0.1*x+6.4;
f(2,:)=-0.5*x+4;
f(3,:)=x-2;

y=(w(1,:).*f(1,:)+w(2,:).*f(2,:)+w(3,:).*f(3,:))./(w(1,:)+w(2,:)+w(3,:));

plot(x,y,'linewidth',4);
